Pesquisar este blog

terça-feira, 25 de abril de 2017

Como corrigir no Ruby certificate verify failed



Erro no SSL certificado, o erro é devido você ter um certificado antigo, que não é mais válido.

1. Abra o cmd e digite os comandos abaixo:
gem which rubygems

# Dê um start dentro da pasta rubygems, mude para o caminho correto da sua versão:
start C:\Ruby23\lib\ruby\2.3.0\rubygems

1.2. Agora devemos copiar o certificado para a pasta ssl_certs, o meu caminho abaixo é esse dependendo da versão o caminho muda, ou seja atualize o caminho do ssl_certs abaixo:

Link do Certificado:

# deve baixa o certificado no link acime e colocar nessa pasta:
C:\Ruby23\lib\ruby\2.3.0\rubygems\ssl_certs

Feche o cmd e abra novamente e agora deve funcionar.


2) Se você está precisando somente Instalar a gem, sem resolver o problema, basta instalar a gem apontando somente o http sem mudar o anterior.

gem install rails --source http://rubygems.org


3)  A terceira forma é Mudar o endereço https pelo http, ou você pode adicionar as duas.

gem source -a http://rubygems.org/
gem source --update
gem source -r https://rubygems.org/

# os comandos são
# adicionar -a/--add
# remover -r/--remove
# lista os sites -l/--list

gem sources --add http://rubygems.org
gem sources --remove https://rubygems.org
gem sources --list
gem source --update


** Observação fechar o cmd do windows e abra novamente para instalar.

No MAC e no Linux:
Baixe o certificado no site: http://curl.haxx.se/ca/cacert.pem
E depois copie e replace o certificado atual no caminho:
/usr/local/etc/openssl/cert.pem.
E por fim adicione ao path:
export SSL_CERT_FILE=/usr/local/etc/openssl/cert.pem

Você pode instalar pelo Homebrew (precisa instalar ele primeiro):
brew update
brew install openssl
brew link openssl --force
brew install curl-ca-bundle


Referências:
https://gist.github.com/fnichol/867550 
https://railsapps.github.io/openssl-certificate-verify-failed.html
https://stackoverflow.com/questions/20399531/how-to-tell-gem-command-not-to-use-ssl

3 comentários: